package com.mortals.xhx.module.ph.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.ph.model.vo.PhQueueStatVo;
import lombok.Data;
/**
 * 排队叫号汇总统计实体对象
 *
 * @author zxfei
 * @date 2024-06-24
 */
@Data
public class PhQueueStatEntity extends PhQueueStatVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点编码
     */
    private String siteCode;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 业务名
     */
    private String business;
    /**
     * 部门
     */
    private String sectionName;
    /**
     * 大厅名称
     */
    private String hallName;
    /**
     * 平均等待时间,单位s
     */
    private Integer waitTime;
    /**
     * 窗口编号
     */
    private String windowFromnum;
    /**
     * 取号数量
     */
    private Integer phCount;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PhQueueStatEntity) {
            PhQueueStatEntity tmp = (PhQueueStatEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.siteId = 0L;
        this.siteCode = "";
        this.siteName = "";
        this.business = "";
        this.sectionName = "";
        this.hallName = "";
        this.waitTime = 0;
        this.windowFromnum = "";
        this.phCount = 0;
        this.year = DateUtil.year(new Date());
        this.month = DateUtil.month(new Date())+1;
        this.day = DateUtil.dayOfMonth(new Date());
    }
}